/*
Theme Name: Avada Child
Description: Child theme for Avada theme
Author: ThemeFusion
Author URI: https://theme-fusion.com
Template: Avada
Version: 1.0.0
Text Domain:  Avada
*/


/* Contact Us Globel CSS Start  */
.wpcf7-form input[type=submit] {
    padding: 15px 40px !important;
    font-size: 18px !important;
    font-family: "Open Sans", sans-serif !important;
    font-style: normal !important;
    font-weight: 700 !important;
}

.wpcf7-form input[type=submit]:hover {
    transform: scale(1.05);
}

.wpcf7-form form button {
    padding: 15px 40px !important;

}

.wpcf7-form input.wpcf7-form-control.wpcf7-submit.has-spinner {
    border-radius: 30px !important;
    margin-top: 20px !important;
}
.wpcf7-form input {
    border: none !important;
    outline: none !important;
    box-shadow: none !important;
    border-bottom: 1px solid #C0D9E5 !important; /* your required line */
    padding: 0px !important;
    border-radius: 0px !important;
}

/* Smooth underline color change on hover/focus (optional) */
.wpcf7-form input:hover,
.wpcf7-form input:focus {
    border-bottom-color: #7fb3c9 !important; /* lighter shade */
}

/* Wrapper must be positioned */
.wpcf7-form .wpcf7-form-control-wrap {
    position: relative;
    display: block;
    
}

/* Underline base */
.wpcf7-form .wpcf7-form-control-wrap::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -3px; /* adjust if needed */
    width: 0;
    height: 10px;
    background: #C0D9E5;
    transition: width 0.4s ease;
    pointer-events: none;
    
}

/* Animate underline on hover or focus */
.wpcf7-form .wpcf7-form-control-wrap:hover::after,
.wpcf7-form .wpcf7-form-control-wrap:has(input:focus)::after {
    width: 100%;
    
}
.wpcf7-form input::placeholder {
    color: #293548 !important;
    font-size: 20px;
}
/* End  */

/* Css for Blog shortcode on home page Start*/
.custom-article-section .custom-button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0 0px; /* start with zero vertical padding */
    border: 0px solid #fff;
    background-color: transparent;
    color: #fff;
    font-size: 16px;
    text-decoration: none;
    transition: opacity 0.3s ease, transform 0.3s ease, padding 0.3s ease, height 0.3s ease;
    opacity: 0;
    height: 0;
    cursor: pointer;
}

.custom-article-section .custom-button .arrow {
    margin-left: 0px;
    transition: transform 0.3s ease;
}

/* Show button on parent hover */
.custom-article-section .grid-item:hover .custom-button {
    opacity: 1;
    height: 60px; /* let content define height */
    padding: 8px 0px; /* restore vertical padding */
}

/* Arrow moves on hover */
.custom-article-section .grid-item:hover .custom-button .arrow {
    transform: translateX(7px);
}


.grid-item {
    position: relative;
    width: 100%;
    padding-top: 40%; /* for 3:2 ratio */
    overflow: hidden;
}

.grid-item img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.custom-article-section .article-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.custom-article-section .left-column {
  display: grid;
  grid-template-rows: 2fr 1fr;
}

.custom-article-section .right-column {
  display: grid;
  grid-template-rows: 1fr 1fr;
}

.custom-article-section .bottom-right {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.custom-article-section .tall {
  grid-row: span 2;
}

.custom-article-section .bottom-right .half {
  display: flex;
  flex-direction: column;
}

.custom-article-section .grid-item {
  position: relative;
  overflow: hidden;
}

.custom-article-section .grid-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.5s ease;
}

.custom-article-section .overlay {
  position: absolute;
  inset: 0;
  background: linear-gradient(225deg, rgba(171, 144, 129, 0.4) 0%, #AB9081 100%);
  transition: opacity 0.4s ease;
}


.custom-article-section .grid-item:hover .overlay {
   background: linear-gradient(315deg, #343F54 0%, #4A5B77 100%) !important;
   opacity: 0.7 !important;
}

.custom-article-section .content {
  position: absolute;
  bottom: 15px;
  left: 15px;
  color: #fff;
  z-index: 2;
  height: auto !important;
}

.custom-article-section .content h4 {
	font-size: 20px !important;
    margin-bottom: 5px;
    color: #fff !important;
    font-weight: 500;
    display: block;
    -webkit-line-clamp: unset; 
    -webkit-box-orient: unset;
    overflow: visible;
    text-overflow: unset;
    white-space: normal; 
}
.custom-article-section .content p {
    color: #eee;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-bottom: 0px !important;
    font-size: 16px;
}

/* Responsive */
@media (max-width: 1390px) {
  .custom-article-section .article-grid {
    grid-template-columns: 1fr;
  }

  .custom-article-section .right-column,
  .custom-article-section .bottom-right {
    grid-template-columns: 1fr;
    grid-template-rows: auto;
  }

  .custom-article-section .tall {
    grid-row: auto;
  }
	.custom-article-section .left-column {
  display: grid;
  grid-template-rows: 1fr 1fr;
}
}
/* Css for Blog shortcode on home page End*/


/* CSS for sidebar table of content */

.sidebar-toc .awb-toc-el__list--0 > .awb-toc-el__list-item:first-child {
  display: none !important; /* hides main page title */
}

.sidebar-toc .awb-toc-el__content {
  color: #1a2535;
  line-height: 1.6;
}

.sidebar-toc .awb-toc-el__content ul {
  list-style: none;
  padding-left: 0;
  margin: 0;
}

.sidebar-toc .awb-toc-el__list-item {
  margin-bottom: 6px;
}

.sidebar-toc .awb-toc-el__list--0 > .awb-toc-el__list-item > a,
.sidebar-toc .awb-toc-el__list--0 > .awb-toc-el__list-item > span {
  font-size: 25px;
  font-weight: 400;
  margin-top: 20px;
  line-height: 1.4;
}

.sidebar-toc .awb-toc-el__list--1 > .awb-toc-el__list-item > a,
.sidebar-toc .awb-toc-el__list--1 > .awb-toc-el__list-item > span {
  font-size: 21px;
  font-weight: 400;
  margin-top: 10px;
  display: block;
}

.sidebar-toc .awb-toc-el__list--2 > .awb-toc-el__list-item > a,
.sidebar-toc .awb-toc-el__list--2 > .awb-toc-el__list-item > span {
  font-size: 21px;
  font-weight: 400;
  display: block;
}

.sidebar-toc .awb-toc-el__item-anchor {
  text-decoration: none;
  color: #1a2535;
  transition: color 0.2s ease;
  margin-bottom: 6px; 
  line-height: 1.4;
}

.sidebar-toc .awb-toc-el__list--0 > .awb-toc-el__list-item {
  margin-top: 18px;
}

.sidebar-toc .awb-toc-el__list-item img {
  display: none; /* Hide images if any inside TOC */
}
.sidebar-toc .awb-toc-el__list--1 > .awb-toc-el__list-item > a,
.sidebar-toc .awb-toc-el__list--1 > .awb-toc-el__list-item > span {
  font-size: 21px;
  font-weight: 400;
  margin-top: 14px; 
  display: block;
}

.sidebar-toc .awb-toc-el__list--2 > .awb-toc-el__list-item > a,
.sidebar-toc .awb-toc-el__list--2 > .awb-toc-el__list-item > span {
  font-size: 21px;
  font-weight: 400;
  margin-top: 10px; 
  display: block;
}

/* ===== Responsive ===== */
@media (max-width: 768px) {
  .sidebar-toc .awb-toc-el__content {
    padding: 25px;
  }
  .sidebar-toc .awb-toc-el__list--0 > .awb-toc-el__list-item > a {
    font-size: 18px;
  }
}

/* CSS end for table of content */


/* CSS for Tab new  */

/* Scoped to #vertical-tabs-new */
#vertical-tabs-new {
    font-family: 'Poppins', sans-serif;
}
#vertical-tabs-new ul.tabs li a {
    cursor: pointer !important;
}
#vertical-tabs-new .tabs-container {
      background: #f9f3ea;
    padding: 16px;
    width: 100%;
    max-width: 100%;
    min-width: 320px;
    display: flex;
    margin: 10px auto;
    border-radius: 16px;
    background-color: #fff;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

#vertical-tabs-new .tab-content-wrapper {
    overflow-y: hidden;
    overflow-x: auto;
    height: 480px;
    transition: all 0.45s ease-in-out;
    padding: 0 16px;
    margin-top: 40px;
}

#vertical-tabs-new .tab-content h2 {
    color: #4a5b77;
    font-size: 1.2rem;
    font-weight: 600;
    margin-top: 0px;
    margin-bottom: 8px;
}

#vertical-tabs-new .tab-content {
    font-size: 0.8rem;
    min-height: 480px;
    min-width: 240px;
    overflow-x: auto;
    transition: all 0.45s ease-in-out;
}

#vertical-tabs-new .tabs {
    display: flex;
    flex-direction: column;
    border-right: 1px solid #F0F0F0;
    list-style-type: none;
    padding-right: 40px;
    gap: 8px;
    padding-left: 10px;
}

#vertical-tabs-new .tabs a {
    display: flex;
    text-decoration: none;
    width: 100%;
    font-size: 14px;
    font-weight: 600;
    color: #9D9D9D;
    text-align: left;
    border-radius: 8px;
    justify-content: start;
    padding: 12px;
    align-items: center;
    gap: 8px;
    transition: all 0.3s ease-in-out;
}

#vertical-tabs-new .tabs .active,
#vertical-tabs-new .tabs a:hover {
    font-weight: 700;
    outline: none;
    color: white;
    background: linear-gradient(252.98deg, #AB9081 0%, #D8CABF 100%);
}

#vertical-tabs-new .tabs a svg {
    stroke: #9D9D9D;
     min-width: 20px !important;
    min-height: 20px !important;
    max-width: 20px !important;
}

#vertical-tabs-new .tabs .active svg,
#vertical-tabs-new .tabs a:hover svg {
    stroke: #fff;
}
#vertical-tabs-new .tabs {
    width: 30%;
}
#vertical-tabs-new .tab-content-wrapper {
    width: 70%;
}
#vertical-tabs-new .tab-content h2 {
    font-size: 32px !important;
    margin-bottom: 20px !important;
}
#vertical-tabs-new .tab-content {
    font-size: 18px !important;
}
/* ===== MOBILE STYLES ===== */
@media (max-width: 768px) {
    #vertical-tabs-new .tabs-container {
        padding: 0;
        border-radius: 0;
        box-shadow: none;
        flex-direction: row; /* keep vertical tabs but side by side */
    }

    #vertical-tabs-new .tabs {
        width: 40%;
        padding-left: 0;
        padding-right: 0;
        gap: 4px;
        border-right: 1px solid #F0F0F0;
        flex-direction: column;
    }
    #vertical-tabs-new .tab-content {
      font-size: 18px;
       min-width: 100px;
       margin-top: -5px;
    }
    #vertical-tabs-new .tab-content-wrapper {
        width: 60%;
        padding: 8px;
        margin-top: 40px;
         padding-left: 20px;
      
    }

    #vertical-tabs-new .tab-content h2 {
        font-size: 0.84rem !important;
        margin-bottom: 4px !important;
    }
    #vertical-tabs-new .tab-content p {
        font-size: 0.84rem !important;
        margin-bottom: 4px !important;
    }

    #vertical-tabs-new .tab-content {
        font-size: 0.56rem !important;
       
    }

    #vertical-tabs-new .tabs a {
        font-size: 9.8px !important;
        padding: 8px !important;
        border-radius: 4px !important;
    }

    #vertical-tabs-new .tabs a svg {
        width: 16px;
        height: 16px;
    }
    #vertical-tabs-new .tab-content h2 {
    font-size: 18px !important;
    margin-bottom: 10px !important;
 }
}
@media (max-width: 400px) {
#vertical-tabs-new .tab-content {
    min-height: 470px !important;
}
/* Tablet only */
@media (min-width: 768px) and (max-width: 1023px) {
    #vertical-tabs-new .tab-content-wrapper {
        height: 710px !important;
    }
    #vertical-tabs-new .tab-content{
        min-height: 500px !important;
    }
    #vertical-tabs-new .tab-content-wrapper {
    height: 710px !important;
   }
}
#vertical-tabs-new section.tab-content {
    opacity: 0 !important;
}
#vertical-tabs-new section.tab-content.active {
    opacity: 1 !important;
}



/* end */
	
	
	
